Bug 59195 - Problem in php.ini for php4.1.1
Problem in php.ini for php4.1.1
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Copeland
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-02-01 17:39 EST by Nicolas CROISET
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-07 15:33:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nicolas CROISET 2002-02-01 17:39:16 EST
Description of Problem:

In the new release of php-4.1.1-1, if you use it with php-mysql-4.1.1 for
example, mysql functions does not work.

In the /etc/php.ini there is something wrong :

The parameter extension_dir have now in this release this value ./
This value does not work, you might have /usr/lib/php4
Comment 1 Nicolas CROISET 2002-02-02 02:29:28 EST
One more problem in php.ini
In the section dynamic extensions, these lines have not been added :

So when you add a module, the line is not uncommented.
In the SPEC file, you ask curl >=7.8, it's better to put curl >= 7.9 because
when you want to compile php-4.1.1-1.src.rpm, with the command rpm --rebuild,
you have a compilation error.
Comment 2 Phil Copeland 2002-02-07 04:53:09 EST
ok looks like someone upstream decided to become windows centric and changed all
the default extension names to xyz.dll as opposed to the previous xyz.so names
which is why the post install perl lines aren't changing the php.ini file to

Havn't gotten around to looking at the extension_dir= bit as yet
Comment 3 Phil Copeland 2002-02-07 15:33:36 EST
Oh, I looked at the php.ini file after last nights build and the extension_dir=
bit is being set
extension_dir   =       /usr/lib/php4                           ; directory in
which the loadable extensions (modules) reside

The extension problem appears to have been resolved too.

(rawhide: php-4.1.1-2
Note rawhide internally doesn't get pushed out till 03:00est I've been told)


Note You need to log in before you can comment on or make changes to this bug.